OpenSSL Upgrade to 1.1.1c from very old version

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

OpenSSL Upgrade to 1.1.1c from very old version

Umamaheswari Nagarajan

Hi,

 

In couple of modules in our product, we use very older version of OpenSSL (0.97e) which are statically linked.

 

We wanted to upgrade it to the latest version (1.1.1c) and also remove the static linking.

 

Query- Can we upgrade from OpenSSL 0.97e to OpenSSL 1.1.1c directly or we have to move to some other lower version first and then proceed with 1.1.1c

 

Please advise us.

 

 

Thanks,

Uma

 

 

Reply | Threaded
Open this post in threaded view
|

Re: OpenSSL Upgrade to 1.1.1c from very old version

Dmitry Belyavsky-3
Hello,

On Thu, Jul 11, 2019 at 12:58 PM Umamaheswari Nagarajan <[hidden email]> wrote:

Hi,

 

In couple of modules in our product, we use very older version of OpenSSL (0.97e) which are statically linked.

 

We wanted to upgrade it to the latest version (1.1.1c) and also remove the static linking.

 

Query- Can we upgrade from OpenSSL 0.97e to OpenSSL 1.1.1c directly or we have to move to some other lower version first and then proceed with 1.1.1c

 

Please advise us.

 

99,9% you'll have to fix your openssl calls. Most of data structures became opaque and you'll need to fix access to separate fields if any.
If you used algorithm-specific methods instead of EVP, you probably have to rewrite this calls.
It's only a part of the changes happened since 0.9.7.

--
SY, Dmitry Belyavsky